Skip to content
Start here

List Threat Signals skills

GET/accounts/{account_id}/cloudforce-one/v2/threat-signals/skills

Lists active Managed Default Skills and Custom Skills. Free Threat Signals accounts see active managed defaults only, with custom_skills_available: false.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
page: optional number

Page number (≥ 1, default 1).

minimum1
per_page: optional number

Results per page (1–100, default 20).

maximum100
minimum1
ReturnsExpand Collapse
errors: array of object { message }
message: string
messages: array of object { message, code, custom_feed_count, 4 more }
message: string
code: optional number
custom_feed_count: optional number

The current count of custom feeds for the account.

minimum0
custom_feed_limit: optional number

The custom feed limit for the account.

minimum0
expected: optional string
path: optional array of string
reason: optional "threat_signals_feed_limit" or "free_custom_skills_disabled" or "free_skill_run_disabled" or 4 more
One of the following:
"threat_signals_feed_limit"
"free_custom_skills_disabled"
"free_skill_run_disabled"
"free_tier_reconciliation_in_progress"
"free_tier_reconciliation_failed"
"raw_content_expired"
"curated_visibility_changed"
result: object { count, custom_skills_available, page, 3 more }
count: number

Number of skills on this page.

custom_skills_available: boolean

Whether Custom Skills are available to the account. False for Free Threat Signals accounts, which receive managed default skills only.

page: number
per_page: number
skills: array of object { id, config, created_at, 7 more }
id: string
config: string

JSON-encoded skill configuration. Always null for default skills.

created_at: string
is_active: number

1 when active, 0 when inactive.

name: string
output_schema: string

JSON-encoded JSON Schema the skill output must satisfy.

prompt: string
source: "default" or "custom"

default for Cloudforce One managed skills (read-only), custom for account skills.

One of the following:
"default"
"custom"
type: string
updated_at: string
total_count: number
success: true

List Threat Signals skills

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/v2/threat-signals/skills \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0,
      "custom_feed_count": 0,
      "custom_feed_limit": 0,
      "expected": "expected",
      "path": [
        "string"
      ],
      "reason": "threat_signals_feed_limit"
    }
  ],
  "result": {
    "count": 0,
    "custom_skills_available": true,
    "page": 0,
    "per_page": 0,
    "skills": [
      {
        "id": "id",
        "config": "config",
        "created_at": "created_at",
        "is_active": 0,
        "name": "name",
        "output_schema": "output_schema",
        "prompt": "prompt",
        "source": "default",
        "type": "summary",
        "updated_at": "updated_at"
      }
    ],
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0,
      "custom_feed_count": 0,
      "custom_feed_limit": 0,
      "expected": "expected",
      "path": [
        "string"
      ],
      "reason": "threat_signals_feed_limit"
    }
  ],
  "result": {
    "count": 0,
    "custom_skills_available": true,
    "page": 0,
    "per_page": 0,
    "skills": [
      {
        "id": "id",
        "config": "config",
        "created_at": "created_at",
        "is_active": 0,
        "name": "name",
        "output_schema": "output_schema",
        "prompt": "prompt",
        "source": "default",
        "type": "summary",
        "updated_at": "updated_at"
      }
    ],
    "total_count": 0
  },
  "success": true
}